// aeoption.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "toolopt.h"
#include "be.h"
#include "beoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AEOption dialog


BEOption::BEOption(BETool *pTool /*=NULL*/)
    : CPropertyPage(BEOption::IDD)
{  
    ASSERT(pTool);
    m_pTool = pTool;
    
    LoadData(); 
    //{{AFX_DATA_INIT(BEOption)
   
    //}}AFX_DATA_INIT
}

void BEOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(BEOption)
    DDX_Text(pDX, IDC_BEOPT_EDIT1, m_strPath);
    DDX_Text(pDX, IDC_BEOPT_EDIT2, m_strProg);
    //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// AEOption message handlers
  void BEOption::SaveData(void)
{                                  
    //UpdateData(TRUE);
    
    m_pTool->m_strPath    = m_strPath;
    m_pTool->m_strProg    = m_strProg;
}

 void BEOption::LoadData(void)
{
    m_strPath  = m_pTool->m_strPath;
    m_strProg    = m_pTool->m_strProg;
}

BEGIN_MESSAGE_MAP(BEOption, CPropertyPage)
    //{{AFX_MSG_MAP(BEOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()    
